# 4JVA2: Spitfire Board

![Spitfire Logo](http://pix.toile-libre.org/upload/original/1395231431.png)

## Sample data

Sample data are available in `sample.sql`.

Sample Users:

* Spitfire:pass (Administrator)
* Soarin:pass (Moderator)
* Thunderlane:pass (Registered user)

## Database UML

![UML](http://pix.toile-libre.org/upload/original/1395253501.png)

## Views

![Home/Board/Topic](http://pix.toile-libre.org/upload/original/1395241005.png)
![Profile/PeofileEdit/NewTopic](http://pix.toile-libre.org/upload/original/1395241067.png)

Missing views:

* Login / Register
* Post Edition (moderator/admin)
* Topic Edition and moderation (moderator/admin: edit/delete/move/merge/lock/unlock)
* Admin Panel index
* Admin Panel Category edit
* Admin Panel Board Edit

## TODO List

- [x] DB Model / Entities
- [x] Hash passwords
- [-] DAO / JPA
- [-] EJB Services (basic)
- [x] Sample data (sql)
- [x] Main Layout and CSS
- [x] Breadcrumb
- [x] Login / Logout ; ~~TODO: display "user badge" when logged in~~
- [x] Register
- [x] Authentification / permission filters
- [x] Home Page: display Categories and Boards
- [x] Home Page: display statistics
- [x] Board Page: display topics ; ~~TODO: order by date~~
- [x] Board Page: new topic
- [x] Topic Page: display posts
- [x] Topic Page: new post
- [x] Topic Page: Topic Moderation: Edit topic title
- [x] Topic Page: Topic Moderation: Delete topic (+posts)
- [x] Topic Page: Topic Moderation: Lock / Unlock topic
- [x] Topic Page: Topic Moderation: Move topic in an other board
- [x] Topic Page: Topic Moderation: Merge topic with an other one
- [x] Topic Page: Post Moderation (edit, delete)
- [x] Profile Page: display informations about the user ; ~~TODO: user's last messages~~ ; ~~TODO: limit the number of post displayed~~
- [ ] Profile Page: edit information (user itself, moderator, administrator)
- [ ] Admin Panel: create, edit and delete categories
- [ ] Admin Panel: create, edit and delete boards
- [ ] Admin Panel: Manager user (role / delete)
- [x] UML
